<script lang="tsx">
	import { Image, Loading } from "vant";
	import { defineComponent } from "vue";
	export default defineComponent({
		props: {
			currentSubject: Object as any,
		},
		setup(props) {
			return () => {
				return (
					<div class="answerType">
						<span v-for="(answerType, index) in answerTypeList" key={index} class={{ selected: currentType == index }} onClick={(currentType = index)}>
							{answerType.name}
						</span>
						<span  class={{ selected: aotuPlayFlag }} onClick={aotuPlaySet}>
							自动读题
						</span>
					</div>
				);
			};
		},
	});
</script>

<style lang="scss" scoped></style>
